<?php
require("Conexion/Conexion.php");
require('lib/lib.php');
if(!isset($_SESSION['WEB2'])){	
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
} else{
	Inactividad();
	
	if($_POST['Nombre'] != ''){
		if(strlen($_POST['Nombre']) >= 4 && strlen($_POST['Nombre']) <= 50){
			if(preg_match("/^[a-zA-Z\d. ]{2,50}$/i", $_POST['Nombre'])){
				if($_POST['Usuario'] != ''){
					if(strlen($_POST['Usuario']) >= 4 && strlen($_POST['Usuario']) <= 15){
						if(preg_match("/^[a-zA-Z0-9\d_-]{4,15}$/i", $_POST['Usuario'])){
							if($_POST['Correo'] != '' ){
								if(strlen($_POST['Correo']) >= 6 && strlen($_POST['Correo']) <= 50){
									if(check_email_address($_POST['Correo'])){
										if($_POST['Password'] != ''){
											if(strlen($_POST['Password']) >= 3 && strlen($_POST['Password']) <= 15){
												if(preg_match("/^[a-zA-Z0-9]{3,15}$/i", $_POST['Password'])){
													if($_POST['Grupo'] != ''){
														if(preg_match("/^[[:digit:]]+$/", $_POST['Grupo'])){
	
															$Tabla = "Usuario Agregado";
															$ClienteID = $_SESSION['ClienteID'];	
															$Nombre = strtoupper($_POST['Nombre']);
															$Usuario = strtoupper($_POST['Usuario']);
															$Correo = strtoupper($_POST['Correo']);
															$Password = strtoupper($_POST['Password']);
															$Grupo = $_POST['Grupo'];
															$Bandera = 1;
															if($_POST['Departamento'] != ''){
																if(strlen($_POST['Departamento']) >= 5 && strlen($_POST['Departamento']) <= 50){
																	if(preg_match("/^[a-zA-Z0-9]{5,50}$/i", $_POST['Departamento']))
																		$Departamento = strtoupper($_POST['Departamento']);
																	else
																		$Bandera = "<p class='error'>El nombre de Departamento solo acepta números y letras!</p>";	
																}else
																	$Bandera = "<p class='error'>El Nombre del Departamento esta fuera del rango permitido de caracteres!</p>";
															}else
																$Departamento = NULL;
															
															if(preg_match("/^[[:digit:]]{1,1}$/i", $_POST['Admin'])){
																if($_POST['Admin'] < 2)
																	$Administrador = $_POST['Admin'];
																else
																	$Bandera = "<p class='error'>El Administrador esta fuera del rango permitido de caracteres!!</p>";
															}else
																$Bandera = "<p class='error'>La Opción del Administrador debe ser númerica!</p>";
				
															if($Bandera == 1){
																$UsuarioWebID = Folio('UsuarioWebID');
																$InsertUsuario = mssql_query("INSERT INTO UsuarioWeb(UsuarioWebID, Nombre, Usuario, Clave, Administrador, 
																ClienteID, Departamento, Email, SeccionWebID) Values ('$UsuarioWebID', '$Nombre', '$Usuario', 
																'$Password', '$Administrador', '$ClienteID', '$Departamento' , '$Correo', '$Grupo')");
																RegistroBitacora($_SESSION['ClienteID'], $_SESSION['VehiculoID'], $_SESSION['GasolineroID'], 
																$_SESSION['UsuarioID'], $Tabla, 'Usuario', '', $Usuario);
																echo "Agregado";
															}else
																echo $Bandera;										
														}else
															echo "<p class='error'>El Grupo solo acepta números!</p>";
													}else
														echo "<p class='error'>Seleccione el Grupo para el Usuario!</p>";
												}else
													echo "<p class='error'>La Contraseña solo acepta números y letras!</p>";
											}else
												echo "<p class='error'>La Contraseña esta fuera del rango permitido de caracteres!</p>";
										}else
											echo "<p class='error'>Escriba la Contraseña!</p>";
									}else
										echo "<p class='error'>Escriba un Correo Electrónico válido!</p>";
								}else
									echo "<p class='error'>El Correo Electrónico esta fuera del rango permitido de caracteres!</p>";
							}else
								echo "<p class='error'>Escriba el Correo Electrónico!</p>";
						}else
							echo "<p class='error'>El Nick del Usuario solo acepta números y letras!</p>";
					}else
						echo "<p class='error'>El Nick de Usuario esta fuera del rango permitido de caracteres!</p>";
				}else
					echo "<p class='error'>Escriba el Nick del Usuario!</p>";
			}else
				echo "<p class='error'>El Nombre del Usuario solo acepta letras!</p>";	
		}else
			echo "<p class='error'>El Nombre del usuario esta fuera del rango permitido de caracteres!</p>";
	}else
		echo "<p class='error'>Escriba el Nombre del Usuario!</p>";
}
?>